<template>
  <div class="md:flex">
    <div class="md:flex-shrink-0">
      <img
        class="rounded-lg md:w-56"
        src="https://img2.freepng.es/20180421/ggq/kisspng-computer-icons-error-closeup-vector-5adbcf14c17ba4.4222143315243548367925.jpg"
        alt="Image oups error"
        style="max-width: 50%; max-height: 50%"
      />
    </div>
    <div class="mt-4 md:mt-0 md:ml-6">
      <div class="uppercase tracking-wide text-sm text-indigo-600 font-bold">
        {{ errorData.data }}
      </div>
      <nuxt-link
        to="/"
        class="
          block
          mt-1
          text-lg
          leading-tight
          font-semibold
          text-gray-900
          hover:underline
        "
      >
        <p class="mt-2">
          Cliquez ici pour revenir à la page principale de l'application
        </p>
      </nuxt-link>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    errorData: {
      type: Object,
      default: () => {},
    },
  },
}
</script>
